## com.ibm.lab.soln.dialogs
Class DialogsPlugin.PreferenceListener

    java.lang.Object
      |
      +--com.ibm.lab.soln.dialogs.DialogsPlugin.PreferenceListener

Enclosing class:
  DialogsPlugin

public static class DialogsPlugin.PreferenceListener
extends java.lang.Object

Logic to manage the addition and removal of a change listener for preference settings. Used by the `MyPrefPageControl` preference page to control when a change listener is active.

Constructor Summary
`DialogsPlugin.PreferenceListener()`

Method Summary
`static void` | `addListener()` Add a change listener for `DialogsPlugin` managed preferences.
`static void` | `addPreferencesListener()` Adds a preferences listener, using the listener and event types defined in the `Preferences` class.
`static void` | `addPrefStoreListener()` Adds a PreferenceStore listener using the `IPropertyChangeListener` listener and `PropertyChangeEvent` event types.
`static boolean` | `hasPrefListener()` Returns the hasPrefListener.
`static void` | `removeListener()` Removes the change listener that was added previously.
`protected static void` | `resultInformation(java.lang.String title, java.lang.String msg)` Uses a `MessageDialog` to show preference value changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogsPlugin.PreferenceListener

    public DialogsPlugin.PreferenceListener()

Method Detail

### addListener

    public static void addListener()

  Add a change listener for `DialogsPlugin` managed preferences. Two options are available, both are defined, but only one is invoked here, depending on the value of the `hasPrefListener` field.

### addPreferencesListener

    public static void addPreferencesListener()

  Adds a preferences listener, using the listener and event types defined in the `Preferences` class.

### addPrefStoreListener

    public static void addPrefStoreListener()

  Adds a PreferenceStore listener using the `IPropertyChangeListener` listener and `PropertyChangeEvent` event types.

### hasPrefListener

    public static boolean hasPrefListener()

  Returns the hasPrefListener.
  Returns:
    boolean

### removeListener

    public static void removeListener()

  Removes the change listener that was added previously.

### resultInformation

    protected static void resultInformation(java.lang.String title,
                                            java.lang.String msg)

  Uses a `MessageDialog` to show preference value changes.
  See Also:
    `MessageDialog`